.chart-container {
    min-height: 300px;
    max-height: 70vh;
    height: 50vw;
}

#barchart {
    width: 100%;
    height: auto;
}

.radio-group {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
    flex-wrap: wrap;
}

.radio-item {
    display: flex;
    align-items: center;
}

.radio-item input[type="radio"] {
    cursor: pointer;
}

.radio-item label {
    cursor: pointer;
    font-weight: normal;
    user-select: none;
    padding: 5px;
}

.container {
    position: relative;
}

.download-chart {
    display: none;
    width: 40px;
    height: 40px;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    padding: 8px;
    border-radius: 6px;
    background-color: white;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    border: none;
}

.download-chart:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}

.download-chart:hover::after {
    content: attr(data-tooltip);
    position: absolute;
    bottom: -35px;
    right: 0;
    background-color: white;
    white-space: nowrap;
    padding: 6px 10px;
    border-radius: 4px;
    pointer-events: none;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}